﻿/* 
 * This file defines ulility classes which are used as BEM modifiers.  They must be the last import in the stylesheet import list 
 */

/* Text Align */
.text-align-left {
  text-align: left;
}
.text-align-center {
  text-align: center;
}
.text-align-right {
  text-align: right;
}

/* Justify Content */
.justify-content-flex-start {
  justify-content: flex-start
}
.justify-content-flex-end {
  justify-content: flex-end
}
.justify-content-center {
  justify-content: center
}

/* Align Items */
.align-items-flex-start {
  align-items: flex-start
}
.align-items-flex-end {
  align-items: flex-end
}
.align-items-center {
  align-items: center
}

/* Padding */
.padding-0 {
  padding: 0;
}
.padding-1 {
  padding: 1rem;
}
.padding-2 {
  padding: 2rem;
}
.padding-3 {
  padding: 3rem;
}

.padding-bottom-0 {
  padding-bottom: 0;
}
.padding-bottom-1 {
  padding-bottom: 1rem;
}
.padding-bottom-2 {
  padding-bottom: 2rem;
}
.padding-bottom-3 {
  padding-bottom: 3rem;
}

.padding-top-0 {
  padding-top: 0;
}
.padding-top-1 {
  padding-top: 1rem;
}
.padding-top-2 {
  padding-top: 2rem;
}
.padding-top-3 {
  padding-top: 3rem;
}

.padding-left-0 {
  padding-left: 0;
}
.padding-left-1 {
  padding-left: 1rem;
}
.padding-left-2 {
  padding-left: 2rem;
}
.padding-left-3 {
  padding-left: 3rem;
}

.padding-right-0 {
  padding-right: 0;
}
.padding-right-1 {
  padding-right: 1rem;
}
.padding-right-2 {
  padding-right: 2rem;
}
.padding-right-3 {
  padding-right: 3rem;
}

/* Margin */
.margin-0 {
  margin: 0
}
.margin-1 {
  margin: 1rem
}
.margin-2 {
  margin: 2rem
}
.margin-3 {
  margin: 3rem
}

.margin-bottom-0 {
  margin-bottom: 0;
}
.margin-bottom-1 {
  margin-bottom: 1rem;
}
.margin-bottom-2 {
  margin-bottom: 2rem;
}
.margin-bottom-3 {
  margin-bottom: 3rem;
}

.margin-top-0 {
  margin-top: 0;
}
.margin-top-1 {
  margin-top: 1rem;
}
.margin-top-2 {
  margin-top: 2rem;
}
.margin-top-3 {
  margin-top: 3rem;
}

.margin-left-0 {
  margin-left: 0;
}
.margin-left-1 {
  margin-left: 1rem;
}
.margin-left-2 {
  margin-left: 2rem;
}
.margin-left-3 {
  margin-left: 3rem;
}

.margin-right-0 {
  margin-right: 0;
}
.margin-right-1 {
  margin-right: 1rem;
}
.margin-right-2 {
  margin-right: 2rem;
}
.margin-right-3 {
  margin-right: 3rem;
}

/* Width */
.width-100pc {
  width: 100%;
}
.width-50pc {
  width: 50%;
}

/* Max Width */
.max-width-100pc {
  max-width: 100%;
}
.max-width-50pc {
  max-width: 50%;
}

/* Font Weight */
.font-weight-bold {
  font-weight: bold;
}
